#pragma once

#include "common.h"

namespace saw {
class EventLoop;
class LogIo;
class log {
public:
	enum class Type : uint8_t { Info, Warning, Error, Debug };

private:
	LogIo &m_central;
	EventLoop &m_loop;

public:
	log(LogIo &central, EventLoop &loop);
};
class LogIo {
private:
	EventLoop &m_loop;

public:
	LogIo(EventLoop &loop);
};
} // namespace saw